Commit a2c09558 authored by Bronger, Torsten's avatar Bronger, Torsten

Added timeout when waiting for dsmcad to come up.

parent a2ef6b7c
......@@ -62,9 +62,9 @@ send the content of this file to stderr and exit with return code 13.
Return codes
............
==== ====================================================================
==== =====================================================================
code meaning
==== ====================================================================
==== =====================================================================
1 Directory ``/opt/tivoli/tsm/client/ba/bin/`` not found in container.
2 ``NODENAME``, ``PORT``, or ``SERVER`` was not set.
3 Could not generate ``dsm.sys`` from ``dsm.sys.in``.
......@@ -72,11 +72,11 @@ code meaning
5 ``dsmc`` could not set the password.
6 SIGTERM received but could not shutdown ``dsmcad`` cleanly.
7 Could not start ``dsmcad``.
8 Could not determine PID of ``dsmcad`` process.
8 Timeout while determining PID of ``dsmcad`` process. Didn’t come up?
9 ``dsmcad`` died unexpectedly.
10 Could not create ``/dev/console`` (ordinary file).
11 Could not stream ``dsmsched.log`` to stdout.
12 Could not determine size of ``dsmsched_error.log``.
13 ``dsmsched_error.log`` had content (written to stderr).
14 Could not create ``/var/log/dsmsched.log``.
==== ====================================================================
==== =====================================================================
......@@ -30,8 +30,14 @@ trap 'if [ ! -z "$PID" ]; then service dsmcad stop || exit 6; else exit 0; fi; r
service dsmcad start || exit 7
count=0
until PID_preliminary=`service dsmcad status | sed "s/dsmcad is running, pid //" | grep "^[0-9][0-9]*$"`
do
count=`expr $count + 1`
if [ $count -gt 10 ]
then
exit 8
fi
sleep 2
done
result=9
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment